/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 4 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

/**
 * Thrift parser.
 *
 * This parser is used on a thrift definition file.
 *
 */

#ifndef __STDC_LIMIT_MACROS
#define __STDC_LIMIT_MACROS
#endif
#ifndef __STDC_FORMAT_MACROS
#define __STDC_FORMAT_MACROS
#endif
#include <stdio.h>
#include <string.h>
#ifndef _MSC_VER
#include <inttypes.h>
#else
#include <stdint.h>
#endif
#include <limits.h>
#ifdef _MSC_VER
#include "thrift/windows/config.h"
#endif
#include "thrift/main.h"
#include "thrift/common.h"
#include "thrift/globals.h"
#include "thrift/parse/t_program.h"
#include "thrift/parse/t_scope.h"

#ifdef _MSC_VER
//warning C4065: switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4065)
#endif

/**
 * This global variable is used for automatic numbering of field indices etc.
 * when parsing the members of a struct. Field values are automatically
 * assigned starting from -1 and working their way down.
 */
int y_field_val = -1;
/**
 * This global variable is used for automatic numbering of enum values.
 * y_enum_val is the last value assigned; the next auto-assigned value will be
 * y_enum_val+1, and then it continues working upwards.  Explicitly specified
 * enum values reset y_enum_val to that value.
 */
int32_t y_enum_val = -1;
int g_arglist = 0;
const int struct_is_struct = 0;
const int struct_is_union = 1;


#line 145 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "thrifty.hh"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_tok_identifier = 3,             /* tok_identifier  */
  YYSYMBOL_tok_literal = 4,                /* tok_literal  */
  YYSYMBOL_tok_doctext = 5,                /* tok_doctext  */
  YYSYMBOL_tok_int_constant = 6,           /* tok_int_constant  */
  YYSYMBOL_tok_dub_constant = 7,           /* tok_dub_constant  */
  YYSYMBOL_tok_include = 8,                /* tok_include  */
  YYSYMBOL_tok_namespace = 9,              /* tok_namespace  */
  YYSYMBOL_tok_cpp_include = 10,           /* tok_cpp_include  */
  YYSYMBOL_tok_cpp_type = 11,              /* tok_cpp_type  */
  YYSYMBOL_tok_xsd_all = 12,               /* tok_xsd_all  */
  YYSYMBOL_tok_xsd_optional = 13,          /* tok_xsd_optional  */
  YYSYMBOL_tok_xsd_nillable = 14,          /* tok_xsd_nillable  */
  YYSYMBOL_tok_xsd_attrs = 15,             /* tok_xsd_attrs  */
  YYSYMBOL_tok_void = 16,                  /* tok_void  */
  YYSYMBOL_tok_bool = 17,                  /* tok_bool  */
  YYSYMBOL_tok_string = 18,                /* tok_string  */
  YYSYMBOL_tok_binary = 19,                /* tok_binary  */
  YYSYMBOL_tok_i8 = 20,                    /* tok_i8  */
  YYSYMBOL_tok_i16 = 21,                   /* tok_i16  */
  YYSYMBOL_tok_i32 = 22,                   /* tok_i32  */
  YYSYMBOL_tok_i64 = 23,                   /* tok_i64  */
  YYSYMBOL_tok_double = 24,                /* tok_double  */
  YYSYMBOL_tok_map = 25,                   /* tok_map  */
  YYSYMBOL_tok_list = 26,                  /* tok_list  */
  YYSYMBOL_tok_set = 27,                   /* tok_set  */
  YYSYMBOL_tok_oneway = 28,                /* tok_oneway  */
  YYSYMBOL_tok_typedef = 29,               /* tok_typedef  */
  YYSYMBOL_tok_struct = 30,                /* tok_struct  */
  YYSYMBOL_tok_xception = 31,              /* tok_xception  */
  YYSYMBOL_tok_throws = 32,                /* tok_throws  */
  YYSYMBOL_tok_extends = 33,               /* tok_extends  */
  YYSYMBOL_tok_service = 34,               /* tok_service  */
  YYSYMBOL_tok_enum = 35,                  /* tok_enum  */
  YYSYMBOL_tok_const = 36,                 /* tok_const  */
  YYSYMBOL_tok_required = 37,              /* tok_required  */
  YYSYMBOL_tok_optional = 38,              /* tok_optional  */
  YYSYMBOL_tok_union = 39,                 /* tok_union  */
  YYSYMBOL_tok_reference = 40,             /* tok_reference  */
  YYSYMBOL_41_ = 41,                       /* '*'  */
  YYSYMBOL_42_ = 42,                       /* ','  */
  YYSYMBOL_43_ = 43,                       /* ';'  */
  YYSYMBOL_44_ = 44,                       /* '{'  */
  YYSYMBOL_45_ = 45,                       /* '}'  */
  YYSYMBOL_46_ = 46,                       /* '='  */
  YYSYMBOL_47_ = 47,                       /* '['  */
  YYSYMBOL_48_ = 48,                       /* ']'  */
  YYSYMBOL_49_ = 49,                       /* ':'  */
  YYSYMBOL_50_ = 50,                       /* '('  */
  YYSYMBOL_51_ = 51,                       /* ')'  */
  YYSYMBOL_52_ = 52,                       /* '<'  */
  YYSYMBOL_53_ = 53,                       /* '>'  */
  YYSYMBOL_YYACCEPT = 54,                  /* $accept  */
  YYSYMBOL_Program = 55,                   /* Program  */
  YYSYMBOL_CaptureDocText = 56,            /* CaptureDocText  */
  YYSYMBOL_DestroyDocText = 57,            /* DestroyDocText  */
  YYSYMBOL_HeaderList = 58,                /* HeaderList  */
  YYSYMBOL_Header = 59,                    /* Header  */
  YYSYMBOL_Include = 60,                   /* Include  */
  YYSYMBOL_DefinitionList = 61,            /* DefinitionList  */
  YYSYMBOL_Definition = 62,                /* Definition  */
  YYSYMBOL_TypeDefinition = 63,            /* TypeDefinition  */
  YYSYMBOL_CommaOrSemicolonOptional = 64,  /* CommaOrSemicolonOptional  */
  YYSYMBOL_Typedef = 65,                   /* Typedef  */
  YYSYMBOL_Enum = 66,                      /* Enum  */
  YYSYMBOL_EnumDefList = 67,               /* EnumDefList  */
  YYSYMBOL_EnumDef = 68,                   /* EnumDef  */
  YYSYMBOL_EnumValue = 69,                 /* EnumValue  */
  YYSYMBOL_Const = 70,                     /* Const  */
  YYSYMBOL_ConstValue = 71,                /* ConstValue  */
  YYSYMBOL_ConstList = 72,                 /* ConstList  */
  YYSYMBOL_ConstListContents = 73,         /* ConstListContents  */
  YYSYMBOL_ConstMap = 74,                  /* ConstMap  */
  YYSYMBOL_ConstMapContents = 75,          /* ConstMapContents  */
  YYSYMBOL_StructHead = 76,                /* StructHead  */
  YYSYMBOL_Struct = 77,                    /* Struct  */
  YYSYMBOL_XsdAll = 78,                    /* XsdAll  */
  YYSYMBOL_XsdOptional = 79,               /* XsdOptional  */
  YYSYMBOL_XsdNillable = 80,               /* XsdNillable  */
  YYSYMBOL_XsdAttributes = 81,             /* XsdAttributes  */
  YYSYMBOL_Xception = 82,                  /* Xception  */
  YYSYMBOL_Service = 83,                   /* Service  */
  YYSYMBOL_FlagArgs = 84,                  /* FlagArgs  */
  YYSYMBOL_UnflagArgs = 85,                /* UnflagArgs  */
  YYSYMBOL_Extends = 86,                   /* Extends  */
  YYSYMBOL_FunctionList = 87,              /* FunctionList  */
  YYSYMBOL_Function = 88,                  /* Function  */
  YYSYMBOL_Oneway = 89,                    /* Oneway  */
  YYSYMBOL_Throws = 90,                    /* Throws  */
  YYSYMBOL_FieldList = 91,                 /* FieldList  */
  YYSYMBOL_Field = 92,                     /* Field  */
  YYSYMBOL_FieldIdentifier = 93,           /* FieldIdentifier  */
  YYSYMBOL_FieldReference = 94,            /* FieldReference  */
  YYSYMBOL_FieldRequiredness = 95,         /* FieldRequiredness  */
  YYSYMBOL_FieldValue = 96,                /* FieldValue  */
  YYSYMBOL_FunctionType = 97,              /* FunctionType  */
  YYSYMBOL_FieldType = 98,                 /* FieldType  */
  YYSYMBOL_BaseType = 99,                  /* BaseType  */
  YYSYMBOL_SimpleBaseType = 100,           /* SimpleBaseType  */
  YYSYMBOL_ContainerType = 101,            /* ContainerType  */
  YYSYMBOL_SimpleContainerType = 102,      /* SimpleContainerType  */
  YYSYMBOL_MapType = 103,                  /* MapType  */
  YYSYMBOL_SetType = 104,                  /* SetType  */
  YYSYMBOL_ListType = 105,                 /* ListType  */
  YYSYMBOL_CppType = 106,                  /* CppType  */
  YYSYMBOL_TypeAnnotations = 107,          /* TypeAnnotations  */
  YYSYMBOL_TypeAnnotationList = 108,       /* TypeAnnotationList  */
  YYSYMBOL_TypeAnnotation = 109,           /* TypeAnnotation  */
  YYSYMBOL_TypeAnnotationValue = 110       /* TypeAnnotationValue  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_uint8 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   161

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  54
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  57
/* YYNRULES -- Number of rules.  */
#define YYNRULES  109
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  189

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   295


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      50,    51,    41,     2,    42,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    49,    43,
      52,    46,    53,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    47,     2,    48,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    44,     2,    45,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   244,   244,   256,   267,   276,   281,   286,   290,   302,
     310,   320,   333,   341,   346,   354,   369,   387,   394,   401,
     408,   417,   419,   422,   425,   438,   466,   473,   480,   494,
     509,   521,   540,   549,   555,   560,   566,   571,   578,   585,
     592,   599,   606,   613,   620,   624,   630,   645,   650,   655,
     660,   665,   670,   675,   680,   685,   699,   713,   718,   723,
     736,   741,   748,   754,   769,   774,   779,   789,   794,   804,
     811,   845,   885,   895,   900,   905,   909,   921,   926,   935,
     940,   945,   952,   971,   976,   982,   995,  1000,  1005,  1010,
    1015,  1020,  1025,  1030,  1036,  1047,  1052,  1057,  1064,  1074,
    1084,  1095,  1100,  1105,  1111,  1116,  1124,  1130,  1139,  1145
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "tok_identifier",
  "tok_literal", "tok_doctext", "tok_int_constant", "tok_dub_constant",
  "tok_include", "tok_namespace", "tok_cpp_include", "tok_cpp_type",
  "tok_xsd_all", "tok_xsd_optional", "tok_xsd_nillable", "tok_xsd_attrs",
  "tok_void", "tok_bool", "tok_string", "tok_binary", "tok_i8", "tok_i16",
  "tok_i32", "tok_i64", "tok_double", "tok_map", "tok_list", "tok_set",
  "tok_oneway", "tok_typedef", "tok_struct", "tok_xception", "tok_throws",
  "tok_extends", "tok_service", "tok_enum", "tok_const", "tok_required",
  "tok_optional", "tok_union", "tok_reference", "'*'", "','", "';'", "'{'",
  "'}'", "'='", "'['", "']'", "':'", "'('", "')'", "'<'", "'>'", "$accept",
  "Program", "CaptureDocText", "DestroyDocText", "HeaderList", "Header",
  "Include", "DefinitionList", "Definition", "TypeDefinition",
  "CommaOrSemicolonOptional", "Typedef", "Enum", "EnumDefList", "EnumDef",
  "EnumValue", "Const", "ConstValue", "ConstList", "ConstListContents",
  "ConstMap", "ConstMapContents", "StructHead", "Struct", "XsdAll",
  "XsdOptional", "XsdNillable", "XsdAttributes", "Xception", "Service",
  "FlagArgs", "UnflagArgs", "Extends", "FunctionList", "Function",
  "Oneway", "Throws", "FieldList", "Field", "FieldIdentifier",
  "FieldReference", "FieldRequiredness", "FieldValue", "FunctionType",
  "FieldType", "BaseType", "SimpleBaseType", "ContainerType",
  "SimpleContainerType", "MapType", "SetType", "ListType", "CppType",
  "TypeAnnotations", "TypeAnnotationList", "TypeAnnotation",
  "TypeAnnotationValue", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-104)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-59)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    -104,    12,     5,  -104,    30,    18,    17,     4,    22,  -104,
    -104,    57,  -104,    13,    28,  -104,   114,  -104,    33,    39,
      41,   114,  -104,  -104,  -104,  -104,  -104,  -104,    46,  -104,
    -104,  -104,     0,  -104,  -104,  -104,  -104,  -104,  -104,  -104,
    -104,  -104,  -104,    40,     3,    40,    53,  -104,     0,  -104,
       0,  -104,  -104,  -104,    23,    36,    27,    58,    60,  -104,
    -104,    71,    29,   114,    31,     0,  -104,  -104,  -104,    75,
      45,  -104,    38,  -104,    50,     2,  -104,   114,    47,   114,
     -33,    56,  -104,  -104,    73,    26,  -104,    52,  -104,  -104,
      74,    40,    67,  -104,  -104,  -104,     0,   115,  -104,  -104,
       0,   119,  -104,  -104,  -104,  -104,  -104,  -104,  -104,   -33,
    -104,  -104,    78,   120,   -33,   114,  -104,  -104,  -104,    76,
       9,    81,  -104,    96,     0,    21,    16,  -104,     0,  -104,
    -104,    90,  -104,  -104,  -104,   114,    99,   100,  -104,   138,
     -33,  -104,    97,  -104,   -33,  -104,  -104,   107,  -104,    87,
       0,  -104,  -104,    26,  -104,  -104,   145,  -104,   146,  -104,
    -104,   -33,   104,   101,  -104,    26,   139,  -104,  -104,  -104,
     140,   102,  -104,   141,   123,   113,     0,   108,     0,  -104,
     -33,  -104,   -33,   116,  -104,   109,  -104,  -104,  -104
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int8 yydefact[] =
{
       6,     0,    13,     1,     0,     3,     0,     0,     0,     5,
       7,     0,    11,     0,     0,    10,     0,    44,     0,     0,
       0,     0,    45,    12,    15,    17,    18,    14,     0,    19,
      20,    16,   104,     9,    82,    88,    86,    87,    89,    90,
      91,    92,    93,   102,     0,   102,     0,    83,   104,    84,
     104,    95,    96,    97,     0,    60,     0,     0,    48,   106,
       8,     0,     0,     0,     0,   104,    85,    94,    69,     0,
       0,    27,     0,    47,     0,     0,   101,     0,     0,     0,
      23,     3,    59,    57,     3,     0,    69,   109,   103,   105,
       0,   102,     0,    21,    22,    24,   104,    72,    68,    62,
     104,     0,    26,    35,    34,    32,    33,    43,    40,    23,
      36,    37,     3,     0,    23,     0,   100,    99,    55,     0,
      77,     3,    25,    30,   104,     0,     0,    31,   104,   108,
     107,     0,    71,    75,    76,     0,    65,     0,    61,     0,
      23,    41,     0,    38,    23,    46,    98,    74,    64,     0,
     104,    29,    28,     0,    39,    73,     0,    81,     0,    80,
      56,    23,    79,     0,    42,     0,    50,    69,    78,    49,
      52,     3,    51,    54,    67,     0,   104,     0,   104,    69,
      23,    69,    23,     3,    70,     3,    63,    53,    66
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int8 yypgoto[] =
{
    -104,  -104,    -2,  -104,  -104,  -104,  -104,  -104,  -104,  -104,
    -103,  -104,  -104,  -104,  -104,  -104,  -104,   -91,  -104,  -104,
    -104,  -104,  -104,  -104,  -104,  -104,  -104,  -104,  -104,  -104,
    -104,  -104,  -104,  -104,  -104,  -104,  -104,   -82,  -104,  -104,
    -104,  -104,  -104,  -104,   -20,  -104,  -104,  -104,  -104,  -104,
    -104,  -104,   -37,   -48,  -104,  -104,  -104
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_uint8 yydefgoto[] =
{
       0,     1,    97,     4,     2,     9,    10,     5,    23,    24,
      95,    25,    26,    84,   102,   124,    27,   109,   110,   126,
     111,   125,    28,    29,    74,   170,   173,   176,    30,    31,
      99,   137,    70,   121,   138,   149,   178,    81,    98,   120,
     156,   135,   166,   158,    46,    47,    48,    49,    50,    51,
      52,    53,    62,    60,    75,    89,   114
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      66,    57,    67,    11,   112,    87,   127,    13,    64,    93,
      94,   130,     3,    -4,    -4,    -4,    32,    80,    -2,   103,
     104,    12,   105,   106,   103,   104,    15,   105,   106,   103,
     104,    33,   105,   106,   142,   144,    54,   152,     6,     7,
       8,   154,    55,    78,    56,    14,   133,   134,   118,    58,
      59,    61,   122,    88,   116,    63,    65,    90,   164,    92,
     107,    72,   161,   108,   143,   107,   141,    68,   108,    69,
     107,    71,    73,   108,   168,    76,   140,   184,    82,   186,
     145,    77,   101,    79,    85,   171,    16,    17,    18,    83,
      34,    19,    20,    21,    86,   131,    22,   183,   113,   185,
      91,    96,   160,   157,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,   147,   115,    34,   100,   136,
     117,   119,   123,   128,   129,   132,   -58,   148,   180,   159,
     182,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,   139,   146,   151,   150,   153,   155,   162,   163,
     165,   167,   169,   174,   172,   177,   175,   179,   181,     0,
     188,   187
};

static const yytype_int16 yycheck[] =
{
      48,    21,    50,     5,    86,     3,   109,     3,    45,    42,
      43,   114,     0,     8,     9,    10,     3,    65,     0,     3,
       4,     4,     6,     7,     3,     4,     4,     6,     7,     3,
       4,     3,     6,     7,   125,   126,     3,   140,     8,     9,
      10,   144,     3,    63,     3,    41,    37,    38,    96,     3,
      50,    11,   100,    51,    91,    52,     3,    77,   161,    79,
      44,     3,   153,    47,    48,    44,    45,    44,    47,    33,
      44,    44,    12,    47,   165,     4,   124,   180,     3,   182,
     128,    52,    84,    52,    46,   167,    29,    30,    31,    44,
       3,    34,    35,    36,    44,   115,    39,   179,    46,   181,
      53,    45,   150,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,   135,    42,     3,    45,   121,
      53,     6,     3,    45,     4,    49,    45,    28,   176,   149,
     178,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    46,    53,     6,    45,    49,    40,     3,     3,
      46,    50,    13,    51,    14,    32,    15,    44,    50,    -1,
      51,    45
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int8 yystos[] =
{
       0,    55,    58,     0,    57,    61,     8,     9,    10,    59,
      60,    56,     4,     3,    41,     4,    29,    30,    31,    34,
      35,    36,    39,    62,    63,    65,    66,    70,    76,    77,
      82,    83,     3,     3,     3,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    98,    99,   100,   101,
     102,   103,   104,   105,     3,     3,     3,    98,     3,    50,
     107,    11,   106,    52,   106,     3,   107,   107,    44,    33,
      86,    44,     3,    12,    78,   108,     4,    52,    98,    52,
     107,    91,     3,    44,    67,    46,    44,     3,    51,   109,
      98,    53,    98,    42,    43,    64,    45,    56,    92,    84,
      45,    56,    68,     3,     4,     6,     7,    44,    47,    71,
      72,    74,    91,    46,   110,    42,   106,    53,   107,     6,
      93,    87,   107,     3,    69,    75,    73,    64,    45,     4,
      64,    98,    49,    37,    38,    95,    56,    85,    88,    46,
     107,    45,    71,    48,    71,   107,    53,    98,    28,    89,
      45,     6,    64,    49,    64,    40,    94,    16,    97,    98,
     107,    71,     3,     3,    64,    46,    96,    50,    71,    13,
      79,    91,    14,    80,    51,    15,    81,    32,    90,    44,
     107,    50,   107,    91,    64,    91,    64,    45,    51
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr1[] =
{
       0,    54,    55,    56,    57,    58,    58,    59,    59,    59,
      59,    60,    61,    61,    62,    62,    62,    63,    63,    63,
      63,    64,    64,    64,    65,    66,    67,    67,    68,    69,
      69,    70,    71,    71,    71,    71,    71,    71,    72,    73,
      73,    74,    75,    75,    76,    76,    77,    78,    78,    79,
      79,    80,    80,    81,    81,    82,    83,    84,    85,    86,
      86,    87,    87,    88,    89,    89,    90,    90,    91,    91,
      92,    93,    93,    94,    94,    95,    95,    95,    96,    96,
      97,    97,    98,    98,    98,    99,   100,   100,   100,   100,
     100,   100,   100,   100,   101,   102,   102,   102,   103,   104,
     105,   106,   106,   107,   107,   108,   108,   109,   110,   110
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     0,     0,     3,     0,     1,     4,     3,
       2,     2,     3,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     6,     2,     0,     4,     3,
       1,     6,     1,     1,     1,     1,     1,     1,     3,     3,
       0,     3,     5,     0,     1,     1,     7,     1,     0,     1,
       0,     1,     0,     4,     0,     6,     9,     0,     0,     2,
       0,     2,     0,    10,     1,     0,     4,     0,     2,     0,
      12,     2,     0,     1,     0,     1,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     7,     5,
       5,     2,     0,     3,     0,     2,     0,     3,     2,     0
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* Program: HeaderList DefinitionList  */
#line 245 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Program -> Headers DefinitionList");
      if((g_program_doctext_candidate != nullptr) && (g_program_doctext_status != ALREADY_PROCESSED))
      {
        g_program->set_doc(g_program_doctext_candidate);
        g_program_doctext_status = ALREADY_PROCESSED;
      }
      clear_doctext();
    }
#line 1387 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 3: /* CaptureDocText: %empty  */
#line 256 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      if (g_parse_mode == PROGRAM) {
        (yyval.dtext) = g_doctext;
        g_doctext = nullptr;
      } else {
        (yyval.dtext) = nullptr;
      }
    }
#line 1400 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 4: /* DestroyDocText: %empty  */
#line 267 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      if (g_parse_mode == PROGRAM) {
        clear_doctext();
      }
    }
#line 1410 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 5: /* HeaderList: HeaderList DestroyDocText Header  */
#line 277 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("HeaderList -> HeaderList Header");
    }
#line 1418 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 6: /* HeaderList: %empty  */
#line 281 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("HeaderList -> ");
    }
#line 1426 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 7: /* Header: Include  */
#line 287 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Header -> Include");
    }
#line 1434 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 8: /* Header: tok_namespace tok_identifier tok_identifier TypeAnnotations  */
#line 291 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Header -> tok_namespace tok_identifier tok_identifier");
      declare_valid_program_doctext();
      if (g_parse_mode == PROGRAM) {
        g_program->set_namespace((yyvsp[-2].id), (yyvsp[-1].id));
      }
      if ((yyvsp[0].ttype) != nullptr) {
        g_program->set_namespace_annotations((yyvsp[-2].id), (yyvsp[0].ttype)->annotations_);
        delete (yyvsp[0].ttype);
      }
    }
#line 1450 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 9: /* Header: tok_namespace '*' tok_identifier  */
#line 303 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Header -> tok_namespace * tok_identifier");
      declare_valid_program_doctext();
      if (g_parse_mode == PROGRAM) {
        g_program->set_namespace("*", (yyvsp[0].id));
      }
    }
#line 1462 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 10: /* Header: tok_cpp_include tok_literal  */
#line 311 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Header -> tok_cpp_include tok_literal");
      declare_valid_program_doctext();
      if (g_parse_mode == PROGRAM) {
        g_program->add_cpp_include((yyvsp[0].id));
      }
    }
#line 1474 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 11: /* Include: tok_include tok_literal  */
#line 321 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Include -> tok_include tok_literal");
      declare_valid_program_doctext();
      if (g_parse_mode == INCLUDES) {
        std::string path = include_file(std::string((yyvsp[0].id)));
        if (!path.empty()) {
          g_program->add_include(path, std::string((yyvsp[0].id)));
        }
      }
    }
#line 1489 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 12: /* DefinitionList: DefinitionList CaptureDocText Definition  */
#line 334 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("DefinitionList -> DefinitionList Definition");
      if ((yyvsp[-1].dtext) != nullptr && (yyvsp[0].tdoc) != nullptr) {
        (yyvsp[0].tdoc)->set_doc((yyvsp[-1].dtext));
      }
    }
#line 1500 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 13: /* DefinitionList: %empty  */
#line 341 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("DefinitionList -> ");
    }
#line 1508 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 14: /* Definition: Const  */
#line 347 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Definition -> Const");
      if (g_parse_mode == PROGRAM) {
        g_program->add_const((yyvsp[0].tconst));
      }
      (yyval.tdoc) = (yyvsp[0].tconst);
    }
#line 1520 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 15: /* Definition: TypeDefinition  */
#line 355 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Definition -> TypeDefinition");
      if (g_parse_mode == PROGRAM) {
        g_scope->add_type((yyvsp[0].ttype)->get_name(), (yyvsp[0].ttype));
        if (g_parent_scope != nullptr) {
          g_parent_scope->add_type(g_parent_prefix + (yyvsp[0].ttype)->get_name(), (yyvsp[0].ttype));
        }
        if (! g_program->is_unique_typename((yyvsp[0].ttype))) {
          yyerror("Type \"%s\" is already defined.", (yyvsp[0].ttype)->get_name().c_str());
          exit(1);
        }
      }
      (yyval.tdoc) = (yyvsp[0].ttype);
    }
#line 1539 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 16: /* Definition: Service  */
#line 370 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Definition -> Service");
      if (g_parse_mode == PROGRAM) {
        g_scope->add_service((yyvsp[0].tservice)->get_name(), (yyvsp[0].tservice));
        if (g_parent_scope != nullptr) {
          g_parent_scope->add_service(g_parent_prefix + (yyvsp[0].tservice)->get_name(), (yyvsp[0].tservice));
        }
        g_program->add_service((yyvsp[0].tservice));
        if (! g_program->is_unique_typename((yyvsp[0].tservice))) {
          yyerror("Type \"%s\" is already defined.", (yyvsp[0].tservice)->get_name().c_str());
          exit(1);
        }
      }
      (yyval.tdoc) = (yyvsp[0].tservice);
    }
#line 1559 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 17: /* TypeDefinition: Typedef  */
#line 388 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeDefinition -> Typedef");
      if (g_parse_mode == PROGRAM) {
        g_program->add_typedef((yyvsp[0].ttypedef));
      }
    }
#line 1570 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 18: /* TypeDefinition: Enum  */
#line 395 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeDefinition -> Enum");
      if (g_parse_mode == PROGRAM) {
        g_program->add_enum((yyvsp[0].tenum));
      }
    }
#line 1581 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 19: /* TypeDefinition: Struct  */
#line 402 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeDefinition -> Struct");
      if (g_parse_mode == PROGRAM) {
        g_program->add_struct((yyvsp[0].tstruct));
      }
    }
#line 1592 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 20: /* TypeDefinition: Xception  */
#line 409 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeDefinition -> Xception");
      if (g_parse_mode == PROGRAM) {
        g_program->add_xception((yyvsp[0].tstruct));
      }
    }
#line 1603 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 21: /* CommaOrSemicolonOptional: ','  */
#line 418 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {}
#line 1609 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 22: /* CommaOrSemicolonOptional: ';'  */
#line 420 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {}
#line 1615 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 23: /* CommaOrSemicolonOptional: %empty  */
#line 422 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {}
#line 1621 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 24: /* Typedef: tok_typedef FieldType tok_identifier TypeAnnotations CommaOrSemicolonOptional  */
#line 426 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeDef -> tok_typedef FieldType tok_identifier");
      validate_simple_identifier( (yyvsp[-2].id));
      t_typedef *td = new t_typedef(g_program, (yyvsp[-3].ttype), (yyvsp[-2].id));
      (yyval.ttypedef) = td;
      if ((yyvsp[-1].ttype) != nullptr) {
        (yyval.ttypedef)->annotations_ = (yyvsp[-1].ttype)->annotations_;
        delete (yyvsp[-1].ttype);
      }
    }
#line 1636 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 25: /* Enum: tok_enum tok_identifier '{' EnumDefList '}' TypeAnnotations  */
#line 439 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Enum -> tok_enum tok_identifier { EnumDefList }");
      (yyval.tenum) = (yyvsp[-2].tenum);
      validate_simple_identifier( (yyvsp[-4].id));
      (yyval.tenum)->set_name((yyvsp[-4].id));
      if ((yyvsp[0].ttype) != nullptr) {
        (yyval.tenum)->annotations_ = (yyvsp[0].ttype)->annotations_;
        delete (yyvsp[0].ttype);
      }

      // make constants for all the enum values
      if (g_parse_mode == PROGRAM) {
        const std::vector<t_enum_value*>& enum_values = (yyval.tenum)->get_constants();
        std::vector<t_enum_value*>::const_iterator c_iter;
        for (c_iter = enum_values.begin(); c_iter != enum_values.end(); ++c_iter) {
          std::string const_name = (yyval.tenum)->get_name() + "." + (*c_iter)->get_name();
          t_const_value* const_val = new t_const_value((*c_iter)->get_value());
          const_val->set_enum((yyval.tenum));
          g_scope->add_constant(const_name, new t_const(g_type_i32, (*c_iter)->get_name(), const_val));
          if (g_parent_scope != nullptr) {
            g_parent_scope->add_constant(g_parent_prefix + const_name, new t_const(g_type_i32, (*c_iter)->get_name(), const_val));
          }
        }
      }
    }
#line 1666 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 26: /* EnumDefList: EnumDefList EnumDef  */
#line 467 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("EnumDefList -> EnumDefList EnumDef");
      (yyval.tenum) = (yyvsp[-1].tenum);
      (yyval.tenum)->append((yyvsp[0].tenumv));
    }
#line 1676 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 27: /* EnumDefList: %empty  */
#line 473 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("EnumDefList -> ");
      (yyval.tenum) = new t_enum(g_program);
      y_enum_val = -1;
    }
#line 1686 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 28: /* EnumDef: CaptureDocText EnumValue TypeAnnotations CommaOrSemicolonOptional  */
#line 481 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("EnumDef -> EnumValue");
      (yyval.tenumv) = (yyvsp[-2].tenumv);
      if ((yyvsp[-3].dtext) != nullptr) {
        (yyval.tenumv)->set_doc((yyvsp[-3].dtext));
      }
	  if ((yyvsp[-1].ttype) != nullptr) {
        (yyval.tenumv)->annotations_ = (yyvsp[-1].ttype)->annotations_;
        delete (yyvsp[-1].ttype);
      }
    }
#line 1702 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 29: /* EnumValue: tok_identifier '=' tok_int_constant  */
#line 495 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("EnumValue -> tok_identifier = tok_int_constant");
      if ((yyvsp[0].iconst) < INT32_MIN || (yyvsp[0].iconst) > INT32_MAX) {
        // Note: this used to be just a warning.  However, since thrift always
        // treats enums as i32 values, I'm changing it to a fatal error.
        // I doubt this will affect many people, but users who run into this
        // will have to update their thrift files to manually specify the
        // truncated i32 value that thrift has always been using anyway.
        failure("64-bit value supplied for enum %s will be truncated.", (yyvsp[-2].id));
      }
      y_enum_val = static_cast<int32_t>((yyvsp[0].iconst));
      (yyval.tenumv) = new t_enum_value((yyvsp[-2].id), y_enum_val);
    }
#line 1720 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 30: /* EnumValue: tok_identifier  */
#line 510 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("EnumValue -> tok_identifier");
      validate_simple_identifier( (yyvsp[0].id));
      if (y_enum_val == INT32_MAX) {
        failure("enum value overflow at enum %s", (yyvsp[0].id));
      }
      ++y_enum_val;
      (yyval.tenumv) = new t_enum_value((yyvsp[0].id), y_enum_val);
    }
#line 1734 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 31: /* Const: tok_const FieldType tok_identifier '=' ConstValue CommaOrSemicolonOptional  */
#line 522 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Const -> tok_const FieldType tok_identifier = ConstValue");
      if (g_parse_mode == PROGRAM) {
        validate_simple_identifier( (yyvsp[-3].id));
        g_scope->resolve_const_value((yyvsp[-1].tconstv), (yyvsp[-4].ttype));
        (yyval.tconst) = new t_const((yyvsp[-4].ttype), (yyvsp[-3].id), (yyvsp[-1].tconstv));
        validate_const_type((yyval.tconst));

        g_scope->add_constant((yyvsp[-3].id), (yyval.tconst));
        if (g_parent_scope != nullptr) {
          g_parent_scope->add_constant(g_parent_prefix + (yyvsp[-3].id), (yyval.tconst));
        }
      } else {
        (yyval.tconst) = nullptr;
      }
    }
#line 1755 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 32: /* ConstValue: tok_int_constant  */
#line 541 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstValue => tok_int_constant");
      (yyval.tconstv) = new t_const_value();
      (yyval.tconstv)->set_integer((yyvsp[0].iconst));
      if (!g_allow_64bit_consts && ((yyvsp[0].iconst) < INT32_MIN || (yyvsp[0].iconst) > INT32_MAX)) {
        pwarning(1, "64-bit constant \"%" PRIi64"\" may not work in all languages.\n", (yyvsp[0].iconst));
      }
    }
#line 1768 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 33: /* ConstValue: tok_dub_constant  */
#line 550 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstValue => tok_dub_constant");
      (yyval.tconstv) = new t_const_value();
      (yyval.tconstv)->set_double((yyvsp[0].dconst));
    }
#line 1778 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 34: /* ConstValue: tok_literal  */
#line 556 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstValue => tok_literal");
      (yyval.tconstv) = new t_const_value((yyvsp[0].id));
    }
#line 1787 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 35: /* ConstValue: tok_identifier  */
#line 561 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstValue => tok_identifier");
      (yyval.tconstv) = new t_const_value();
      (yyval.tconstv)->set_identifier((yyvsp[0].id));
    }
#line 1797 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 36: /* ConstValue: ConstList  */
#line 567 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstValue => ConstList");
      (yyval.tconstv) = (yyvsp[0].tconstv);
    }
#line 1806 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 37: /* ConstValue: ConstMap  */
#line 572 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstValue => ConstMap");
      (yyval.tconstv) = (yyvsp[0].tconstv);
    }
#line 1815 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 38: /* ConstList: '[' ConstListContents ']'  */
#line 579 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstList => [ ConstListContents ]");
      (yyval.tconstv) = (yyvsp[-1].tconstv);
    }
#line 1824 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 39: /* ConstListContents: ConstListContents ConstValue CommaOrSemicolonOptional  */
#line 586 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstListContents => ConstListContents ConstValue CommaOrSemicolonOptional");
      (yyval.tconstv) = (yyvsp[-2].tconstv);
      (yyval.tconstv)->add_list((yyvsp[-1].tconstv));
    }
#line 1834 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 40: /* ConstListContents: %empty  */
#line 592 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstListContents =>");
      (yyval.tconstv) = new t_const_value();
      (yyval.tconstv)->set_list();
    }
#line 1844 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 41: /* ConstMap: '{' ConstMapContents '}'  */
#line 600 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstMap => { ConstMapContents }");
      (yyval.tconstv) = (yyvsp[-1].tconstv);
    }
#line 1853 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 42: /* ConstMapContents: ConstMapContents ConstValue ':' ConstValue CommaOrSemicolonOptional  */
#line 607 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstMapContents => ConstMapContents ConstValue CommaOrSemicolonOptional");
      (yyval.tconstv) = (yyvsp[-4].tconstv);
      (yyval.tconstv)->add_map((yyvsp[-3].tconstv), (yyvsp[-1].tconstv));
    }
#line 1863 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 43: /* ConstMapContents: %empty  */
#line 613 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ConstMapContents =>");
      (yyval.tconstv) = new t_const_value();
      (yyval.tconstv)->set_map();
    }
#line 1873 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 44: /* StructHead: tok_struct  */
#line 621 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.iconst) = struct_is_struct;
    }
#line 1881 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 45: /* StructHead: tok_union  */
#line 625 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.iconst) = struct_is_union;
    }
#line 1889 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 46: /* Struct: StructHead tok_identifier XsdAll '{' FieldList '}' TypeAnnotations  */
#line 631 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Struct -> tok_struct tok_identifier { FieldList }");
      validate_simple_identifier( (yyvsp[-5].id));
      (yyvsp[-2].tstruct)->set_xsd_all((yyvsp[-4].tbool));
      (yyvsp[-2].tstruct)->set_union((yyvsp[-6].iconst) == struct_is_union);
      (yyval.tstruct) = (yyvsp[-2].tstruct);
      (yyval.tstruct)->set_name((yyvsp[-5].id));
      if ((yyvsp[0].ttype) != nullptr) {
        (yyval.tstruct)->annotations_ = (yyvsp[0].ttype)->annotations_;
        delete (yyvsp[0].ttype);
      }
    }
#line 1906 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 47: /* XsdAll: tok_xsd_all  */
#line 646 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = true;
    }
#line 1914 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 48: /* XsdAll: %empty  */
#line 650 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = false;
    }
#line 1922 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 49: /* XsdOptional: tok_xsd_optional  */
#line 656 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = true;
    }
#line 1930 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 50: /* XsdOptional: %empty  */
#line 660 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = false;
    }
#line 1938 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 51: /* XsdNillable: tok_xsd_nillable  */
#line 666 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = true;
    }
#line 1946 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 52: /* XsdNillable: %empty  */
#line 670 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = false;
    }
#line 1954 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 53: /* XsdAttributes: tok_xsd_attrs '{' FieldList '}'  */
#line 676 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tstruct) = (yyvsp[-1].tstruct);
    }
#line 1962 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 54: /* XsdAttributes: %empty  */
#line 680 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tstruct) = nullptr;
    }
#line 1970 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 55: /* Xception: tok_xception tok_identifier '{' FieldList '}' TypeAnnotations  */
#line 686 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Xception -> tok_xception tok_identifier { FieldList }");
      validate_simple_identifier( (yyvsp[-4].id));
      (yyvsp[-2].tstruct)->set_name((yyvsp[-4].id));
      (yyvsp[-2].tstruct)->set_xception(true);
      (yyval.tstruct) = (yyvsp[-2].tstruct);
      if ((yyvsp[0].ttype) != nullptr) {
        (yyval.tstruct)->annotations_ = (yyvsp[0].ttype)->annotations_;
        delete (yyvsp[0].ttype);
      }
    }
#line 1986 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 56: /* Service: tok_service tok_identifier Extends '{' FlagArgs FunctionList UnflagArgs '}' TypeAnnotations  */
#line 700 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Service -> tok_service tok_identifier { FunctionList }");
      validate_simple_identifier( (yyvsp[-7].id));
      (yyval.tservice) = (yyvsp[-3].tservice);
      (yyval.tservice)->set_name((yyvsp[-7].id));
      (yyval.tservice)->set_extends((yyvsp[-6].tservice));
      if ((yyvsp[0].ttype) != nullptr) {
        (yyval.tservice)->annotations_ = (yyvsp[0].ttype)->annotations_;
        delete (yyvsp[0].ttype);
      }
    }
#line 2002 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 57: /* FlagArgs: %empty  */
#line 713 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
       g_arglist = 1;
    }
#line 2010 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 58: /* UnflagArgs: %empty  */
#line 718 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
       g_arglist = 0;
    }
#line 2018 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 59: /* Extends: tok_extends tok_identifier  */
#line 724 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Extends -> tok_extends tok_identifier");
      (yyval.tservice) = nullptr;
      if (g_parse_mode == PROGRAM) {
        (yyval.tservice) = g_scope->get_service((yyvsp[0].id));
        if ((yyval.tservice) == nullptr) {
          yyerror("Service \"%s\" has not been defined.", (yyvsp[0].id));
          exit(1);
        }
      }
    }
#line 2034 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 60: /* Extends: %empty  */
#line 736 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tservice) = nullptr;
    }
#line 2042 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 61: /* FunctionList: FunctionList Function  */
#line 742 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FunctionList -> FunctionList Function");
      (yyval.tservice) = (yyvsp[-1].tservice);
      (yyvsp[-1].tservice)->add_function((yyvsp[0].tfunction));
    }
#line 2052 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 62: /* FunctionList: %empty  */
#line 748 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FunctionList -> ");
      (yyval.tservice) = new t_service(g_program);
    }
#line 2061 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 63: /* Function: CaptureDocText Oneway FunctionType tok_identifier '(' FieldList ')' Throws TypeAnnotations CommaOrSemicolonOptional  */
#line 755 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      validate_simple_identifier( (yyvsp[-6].id));
      (yyvsp[-4].tstruct)->set_name(std::string((yyvsp[-6].id)) + "_args");
      (yyval.tfunction) = new t_function((yyvsp[-7].ttype), (yyvsp[-6].id), (yyvsp[-4].tstruct), (yyvsp[-2].tstruct), (yyvsp[-8].tbool));
      if ((yyvsp[-9].dtext) != nullptr) {
        (yyval.tfunction)->set_doc((yyvsp[-9].dtext));
      }
      if ((yyvsp[-1].ttype) != nullptr) {
        (yyval.tfunction)->annotations_ = (yyvsp[-1].ttype)->annotations_;
        delete (yyvsp[-1].ttype);
      }
    }
#line 2078 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 64: /* Oneway: tok_oneway  */
#line 770 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = true;
    }
#line 2086 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 65: /* Oneway: %empty  */
#line 774 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = false;
    }
#line 2094 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 66: /* Throws: tok_throws '(' FieldList ')'  */
#line 780 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("Throws -> tok_throws ( FieldList )");
      (yyval.tstruct) = (yyvsp[-1].tstruct);
      if (g_parse_mode == PROGRAM && !validate_throws((yyval.tstruct))) {
        yyerror("Throws clause may not contain non-exception types");
        exit(1);
      }
    }
#line 2107 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 67: /* Throws: %empty  */
#line 789 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tstruct) = new t_struct(g_program);
    }
#line 2115 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 68: /* FieldList: FieldList Field  */
#line 795 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FieldList -> FieldList , Field");
      (yyval.tstruct) = (yyvsp[-1].tstruct);
      if (!((yyval.tstruct)->append((yyvsp[0].tfield)))) {
        yyerror("\"%d: %s\" - field identifier/name has already been used", (yyvsp[0].tfield)->get_key(), (yyvsp[0].tfield)->get_name().c_str());
        exit(1);
      }
    }
#line 2128 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 69: /* FieldList: %empty  */
#line 804 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FieldList -> ");
      y_field_val = -1;
      (yyval.tstruct) = new t_struct(g_program);
    }
#line 2138 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 70: /* Field: CaptureDocText FieldIdentifier FieldRequiredness FieldType FieldReference tok_identifier FieldValue XsdOptional XsdNillable XsdAttributes TypeAnnotations CommaOrSemicolonOptional  */
#line 812 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("tok_int_constant : Field -> FieldType tok_identifier");
      if ((yyvsp[-10].tfieldid).auto_assigned) {
        pwarning(1, "No field key specified for %s, resulting protocol may have conflicts or not be backwards compatible!\n", (yyvsp[-6].id));
        if (g_strict >= 192) {
          yyerror("Implicit field keys are deprecated and not allowed with -strict");
          exit(1);
        }
      }
      validate_simple_identifier((yyvsp[-6].id));
      (yyval.tfield) = new t_field((yyvsp[-8].ttype), (yyvsp[-6].id), (yyvsp[-10].tfieldid).value);
      (yyval.tfield)->set_reference((yyvsp[-7].tbool));
      (yyval.tfield)->set_req((yyvsp[-9].ereq));
      if ((yyvsp[-5].tconstv) != nullptr) {
        g_scope->resolve_const_value((yyvsp[-5].tconstv), (yyvsp[-8].ttype));
        validate_field_value((yyval.tfield), (yyvsp[-5].tconstv));
        (yyval.tfield)->set_value((yyvsp[-5].tconstv));
      }
      (yyval.tfield)->set_xsd_optional((yyvsp[-4].tbool));
      (yyval.tfield)->set_xsd_nillable((yyvsp[-3].tbool));
      if ((yyvsp[-11].dtext) != nullptr) {
        (yyval.tfield)->set_doc((yyvsp[-11].dtext));
      }
      if ((yyvsp[-2].tstruct) != nullptr) {
        (yyval.tfield)->set_xsd_attrs((yyvsp[-2].tstruct));
      }
      if ((yyvsp[-1].ttype) != nullptr) {
        (yyval.tfield)->annotations_ = (yyvsp[-1].ttype)->annotations_;
        delete (yyvsp[-1].ttype);
      }
    }
#line 2174 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 71: /* FieldIdentifier: tok_int_constant ':'  */
#line 846 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      if ((yyvsp[-1].iconst) <= 0) {
        if (g_allow_neg_field_keys) {
          /*
           * g_allow_neg_field_keys exists to allow users to add explicitly
           * specified key values to old .thrift files without breaking
           * protocol compatibility.
           */
          if ((yyvsp[-1].iconst) != y_field_val) {
            /*
             * warn if the user-specified negative value isn't what
             * thrift would have auto-assigned.
             */
            pwarning(1, "Nonpositive field key (%" PRIi64") differs from what would be "
                     "auto-assigned by thrift (%d).\n", (yyvsp[-1].iconst), y_field_val);
          }
          /*
           * Leave $1 as-is, and update y_field_val to be one less than $1.
           * The FieldList parsing will catch any duplicate key values.
           */
          y_field_val = static_cast<int32_t>((yyvsp[-1].iconst) - 1);
          (yyval.tfieldid).value = static_cast<int32_t>((yyvsp[-1].iconst));
          (yyval.tfieldid).auto_assigned = false;
        } else {
          pwarning(1, "Nonpositive value (%d) not allowed as a field key.\n",
                   (yyvsp[-1].iconst));
          (yyval.tfieldid).value = y_field_val--;
          (yyval.tfieldid).auto_assigned = true;
        }
      } else {
        (yyval.tfieldid).value = static_cast<int32_t>((yyvsp[-1].iconst));
        (yyval.tfieldid).auto_assigned = false;
      }
      if( (SHRT_MIN > (yyval.tfieldid).value) || ((yyval.tfieldid).value > SHRT_MAX)) {
        pwarning(1, "Field key (%d) exceeds allowed range (%d..%d).\n",
                 (yyval.tfieldid).value, SHRT_MIN, SHRT_MAX);
      }
    }
#line 2217 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 72: /* FieldIdentifier: %empty  */
#line 885 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tfieldid).value = y_field_val--;
      (yyval.tfieldid).auto_assigned = true;
      if( (SHRT_MIN > (yyval.tfieldid).value) || ((yyval.tfieldid).value > SHRT_MAX)) {
        pwarning(1, "Field key (%d) exceeds allowed range (%d..%d).\n",
                 (yyval.tfieldid).value, SHRT_MIN, SHRT_MAX);
      }
    }
#line 2230 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 73: /* FieldReference: tok_reference  */
#line 896 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tbool) = true;
    }
#line 2238 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 74: /* FieldReference: %empty  */
#line 900 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
   {
     (yyval.tbool) = false;
   }
#line 2246 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 75: /* FieldRequiredness: tok_required  */
#line 906 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.ereq) = t_field::T_REQUIRED;
    }
#line 2254 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 76: /* FieldRequiredness: tok_optional  */
#line 910 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      if (g_arglist) {
        if (g_parse_mode == PROGRAM) {
          pwarning(1, "optional keyword is ignored in argument lists.\n");
        }
        (yyval.ereq) = t_field::T_OPT_IN_REQ_OUT;
      } else {
        (yyval.ereq) = t_field::T_OPTIONAL;
      }
    }
#line 2269 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 77: /* FieldRequiredness: %empty  */
#line 921 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.ereq) = t_field::T_OPT_IN_REQ_OUT;
    }
#line 2277 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 78: /* FieldValue: '=' ConstValue  */
#line 927 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      if (g_parse_mode == PROGRAM) {
        (yyval.tconstv) = (yyvsp[0].tconstv);
      } else {
        (yyval.tconstv) = nullptr;
      }
    }
#line 2289 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 79: /* FieldValue: %empty  */
#line 935 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.tconstv) = nullptr;
    }
#line 2297 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 80: /* FunctionType: FieldType  */
#line 941 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FunctionType -> FieldType");
      (yyval.ttype) = (yyvsp[0].ttype);
    }
#line 2306 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 81: /* FunctionType: tok_void  */
#line 946 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FunctionType -> tok_void");
      (yyval.ttype) = g_type_void;
    }
#line 2315 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 82: /* FieldType: tok_identifier  */
#line 953 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FieldType -> tok_identifier");
      if (g_parse_mode == INCLUDES) {
        // Ignore identifiers in include mode
        (yyval.ttype) = nullptr;
      } else {
        // Lookup the identifier in the current scope
        (yyval.ttype) = g_scope->get_type((yyvsp[0].id));
        if ((yyval.ttype) == nullptr) {
          /*
           * Either this type isn't yet declared, or it's never
             declared.  Either way allow it and we'll figure it out
             during generation.
           */
          (yyval.ttype) = new t_typedef(g_program, (yyvsp[0].id), true);
        }
      }
    }
#line 2338 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 83: /* FieldType: BaseType  */
#line 972 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FieldType -> BaseType");
      (yyval.ttype) = (yyvsp[0].ttype);
    }
#line 2347 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 84: /* FieldType: ContainerType  */
#line 977 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("FieldType -> ContainerType");
      (yyval.ttype) = (yyvsp[0].ttype);
    }
#line 2356 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 85: /* BaseType: SimpleBaseType TypeAnnotations  */
#line 983 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> SimpleBaseType TypeAnnotations");
      if ((yyvsp[0].ttype) != nullptr) {
        (yyval.ttype) = new t_base_type(*static_cast<t_base_type*>((yyvsp[-1].ttype)));
        (yyval.ttype)->annotations_ = (yyvsp[0].ttype)->annotations_;
        delete (yyvsp[0].ttype);
      } else {
        (yyval.ttype) = (yyvsp[-1].ttype);
      }
    }
#line 2371 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 86: /* SimpleBaseType: tok_string  */
#line 996 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_string");
      (yyval.ttype) = g_type_string;
    }
#line 2380 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 87: /* SimpleBaseType: tok_binary  */
#line 1001 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_binary");
      (yyval.ttype) = g_type_binary;
    }
#line 2389 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 88: /* SimpleBaseType: tok_bool  */
#line 1006 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_bool");
      (yyval.ttype) = g_type_bool;
    }
#line 2398 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 89: /* SimpleBaseType: tok_i8  */
#line 1011 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_i8");
      (yyval.ttype) = g_type_i8;
    }
#line 2407 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 90: /* SimpleBaseType: tok_i16  */
#line 1016 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_i16");
      (yyval.ttype) = g_type_i16;
    }
#line 2416 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 91: /* SimpleBaseType: tok_i32  */
#line 1021 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_i32");
      (yyval.ttype) = g_type_i32;
    }
#line 2425 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 92: /* SimpleBaseType: tok_i64  */
#line 1026 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_i64");
      (yyval.ttype) = g_type_i64;
    }
#line 2434 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 93: /* SimpleBaseType: tok_double  */
#line 1031 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("BaseType -> tok_double");
      (yyval.ttype) = g_type_double;
    }
#line 2443 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 94: /* ContainerType: SimpleContainerType TypeAnnotations  */
#line 1037 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ContainerType -> SimpleContainerType TypeAnnotations");
      (yyval.ttype) = (yyvsp[-1].ttype);
      if ((yyvsp[0].ttype) != nullptr) {
        (yyval.ttype)->annotations_ = (yyvsp[0].ttype)->annotations_;
        delete (yyvsp[0].ttype);
      }
    }
#line 2456 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 95: /* SimpleContainerType: MapType  */
#line 1048 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("SimpleContainerType -> MapType");
      (yyval.ttype) = (yyvsp[0].ttype);
    }
#line 2465 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 96: /* SimpleContainerType: SetType  */
#line 1053 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("SimpleContainerType -> SetType");
      (yyval.ttype) = (yyvsp[0].ttype);
    }
#line 2474 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 97: /* SimpleContainerType: ListType  */
#line 1058 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("SimpleContainerType -> ListType");
      (yyval.ttype) = (yyvsp[0].ttype);
    }
#line 2483 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 98: /* MapType: tok_map CppType '<' FieldType ',' FieldType '>'  */
#line 1065 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("MapType -> tok_map <FieldType, FieldType>");
      (yyval.ttype) = new t_map((yyvsp[-3].ttype), (yyvsp[-1].ttype));
      if ((yyvsp[-5].id) != nullptr) {
        ((t_container*)(yyval.ttype))->set_cpp_name(std::string((yyvsp[-5].id)));
      }
    }
#line 2495 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 99: /* SetType: tok_set CppType '<' FieldType '>'  */
#line 1075 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("SetType -> tok_set<FieldType>");
      (yyval.ttype) = new t_set((yyvsp[-1].ttype));
      if ((yyvsp[-3].id) != nullptr) {
        ((t_container*)(yyval.ttype))->set_cpp_name(std::string((yyvsp[-3].id)));
      }
    }
#line 2507 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 100: /* ListType: tok_list '<' FieldType '>' CppType  */
#line 1085 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("ListType -> tok_list<FieldType>");
      check_for_list_of_bytes((yyvsp[-2].ttype));
      (yyval.ttype) = new t_list((yyvsp[-2].ttype));
      if ((yyvsp[0].id) != nullptr) {
        ((t_container*)(yyval.ttype))->set_cpp_name(std::string((yyvsp[0].id)));
      }
    }
#line 2520 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 101: /* CppType: tok_cpp_type tok_literal  */
#line 1096 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.id) = (yyvsp[0].id);
    }
#line 2528 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 102: /* CppType: %empty  */
#line 1100 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.id) = nullptr;
    }
#line 2536 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 103: /* TypeAnnotations: '(' TypeAnnotationList ')'  */
#line 1106 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeAnnotations -> ( TypeAnnotationList )");
      (yyval.ttype) = (yyvsp[-1].ttype);
    }
#line 2545 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 104: /* TypeAnnotations: %empty  */
#line 1111 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      (yyval.ttype) = nullptr;
    }
#line 2553 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 105: /* TypeAnnotationList: TypeAnnotationList TypeAnnotation  */
#line 1117 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeAnnotationList -> TypeAnnotationList , TypeAnnotation");
      (yyval.ttype) = (yyvsp[-1].ttype);
      (yyval.ttype)->annotations_[(yyvsp[0].tannot)->key] = (yyvsp[0].tannot)->val;
      delete (yyvsp[0].tannot);
    }
#line 2564 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 106: /* TypeAnnotationList: %empty  */
#line 1124 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      /* Just use a dummy structure to hold the annotations. */
      (yyval.ttype) = new t_struct(g_program);
    }
#line 2573 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 107: /* TypeAnnotation: tok_identifier TypeAnnotationValue CommaOrSemicolonOptional  */
#line 1131 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeAnnotation -> TypeAnnotationValue");
      (yyval.tannot) = new t_annotation;
      (yyval.tannot)->key = (yyvsp[-2].id);
      (yyval.tannot)->val = (yyvsp[-1].id);
    }
#line 2584 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 108: /* TypeAnnotationValue: '=' tok_literal  */
#line 1140 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeAnnotationValue -> = tok_literal");
      (yyval.id) = (yyvsp[0].id);
    }
#line 2593 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;

  case 109: /* TypeAnnotationValue: %empty  */
#line 1145 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"
    {
      pdebug("TypeAnnotationValue ->");
      (yyval.id) = strdup("1");
    }
#line 2602 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"
    break;


#line 2606 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/build/compiler/cpp/thrift/thrifty.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1150 "/builds/FakIA/fachgebiet-iks/goldi/goldi2/goldi2/hardware/os/build/tmp/work/cortexa72-poky-linux/thrift/0.17.0-r0/thrift-0.17.0/compiler/cpp/src/thrift/thrifty.yy"

